#pragma once

#include "OGLBaseWindow.h"
#include "ImageRect.h"

class CameraViewWindow : public OGLBaseWindow
{
public:
	CameraViewWindow() : OGLBaseWindow(), m_pImageBuffer(0) {}

	void display();
	void reshape(int w, int h);
	void keyboard(unsigned char key, int x, int y);
	//void special(int key, int x, int y) {}
	void mouse(int button, int state, int x, int _y);
	void motion(int x, int _y);
	//void passive(int x, int _y) {}
	//void menu(int item) {}

	void setImageBuffer(ImageRGBf *buf) { m_pImageBuffer = buf; }

private:
	ImageRGBf *m_pImageBuffer;

	void displayMessage(int xi, int yi, const char *message);
};
