#pragma once

#include "rply.h"
#include "../my_algebra.h"

namespace PlyReader
{
	void clean_up();

	bool read(const char* filename);

	int getNumVertices();
	int getNumTriangles();

	bool isColorAvailable();

	MyAlgebra::vec3 *getVertices();
	MyAlgebra::vec3 *getNormals();
	unsigned char *getColors();
	unsigned int *getIndices();

}

