#pragma once

#include <cstdlib>
#include <GL/glut.h>

#define PrintGLErrorMacro() {		\
	GLenum err_code = glGetError();	\
									\
	if (err_code != GL_NO_ERROR) {							\
		const GLubyte *err_str = gluErrorString(err_code);	\
		printf("OpenGL Error: %s (File: %s, line %d)\n",	\
			err_str, __FILE__, __LINE__);					\
	}														\
}
