#pragma once

#include "Sampler.h"
#include "RNG.h"

class RandomSampler : public Sampler
{
public:
	static Sampler *Create() { return new RandomSampler(); }

	void sample(MyAlgebra::vec2 *samples, int N)
	{
		for (int i=0; i<N; i++)
		{
			samples[i].set(random(), random());
		}
	}

	int adjustNumSamples(int N) { return N; }

private:
	RNG random;
};
