#pragma once

#include "Sampler.h"

class Regular2x2Sampler : public Sampler
{
public:
	static Sampler *Create() { return new Regular2x2Sampler(); }

	void sample(MyAlgebra::vec2 *samples, int N)
	{
		samples[0].set(0.25f, 0.25f);
		samples[1].set(0.75f, 0.25f);
		samples[2].set(0.25f, 0.75f);
		samples[3].set(0.75f, 0.75f);
	}

	int adjustNumSamples(int N) { return 4; }
};
