#pragma once

struct SphereIntersectionInfo
{
	float m_ParamT;
	int m_MetaballID;

	SphereIntersectionInfo(float t, int id)
		: m_ParamT(t), m_MetaballID(id)
	{
	}

	SphereIntersectionInfo(const SphereIntersectionInfo &info)
		: m_ParamT(info.m_ParamT), m_MetaballID(info.m_MetaballID)
	{
	}

	friend bool operator<(const SphereIntersectionInfo& info0, const SphereIntersectionInfo& info1)
	{
		return info0.m_ParamT < info1.m_ParamT;
	}
};

