#pragma once

#include <string>

namespace WinUtil {

	// Caution: you may need to call "glutSetWindow(window_id)"
	// after calling the following functions in order to reset the device context.

	std::string OpenFileDialog(const char *ext="",
							   const char *filter="All Files(*.*)\0*.*\0\0",
							   bool fullpath=true);

	std::string SaveFileDialog(const char *ext="",
							   const char *filter="All Files(*.*)\0*.*\0\0",
							   bool fullpath=true);

	void ChooseColorDialog(unsigned char *color);

}