#include "AxisAlignedBox.h"
#include <cstdlib>
#include <GL/glut.h>

using namespace std;
using namespace MyAlgebra;

// implements Ray-Box Intersection Algorithm described in http://www.cs.utah.edu/~awilliam/box/

bool AxisAlignedBox::hit(const Ray &r, Real tmin, Real tmax, HitRecord &record) const
{
	// TODO: rewrite this function.

/*
	record.t = ??;
	record.normal = ??;
	record.hit_pos = ??;
	record.tex_coords.set(0.f);
	record.material = material;
*/

	return false;
}

bool AxisAlignedBox::shadowHit(const Ray &r, Real tmin, Real tmax) const
{
	// TODO: rewrite this function.

	return false;
}

void AxisAlignedBox::drawGL() const	// for preview using OpenGL
{
	glBegin(GL_QUADS);

	// z

	glVertex3f(m_Pos[0].x, m_Pos[0].y, m_Pos[0].z);
	glVertex3f(m_Pos[1].x, m_Pos[0].y, m_Pos[0].z);
	glVertex3f(m_Pos[1].x, m_Pos[1].y, m_Pos[0].z);
	glVertex3f(m_Pos[0].x, m_Pos[1].y, m_Pos[0].z);

	glVertex3f(m_Pos[0].x, m_Pos[0].y, m_Pos[1].z);
	glVertex3f(m_Pos[0].x, m_Pos[1].y, m_Pos[1].z);
	glVertex3f(m_Pos[1].x, m_Pos[1].y, m_Pos[1].z);
	glVertex3f(m_Pos[1].x, m_Pos[0].y, m_Pos[1].z);

	// y

	glVertex3f(m_Pos[0].x, m_Pos[0].y, m_Pos[0].z);
	glVertex3f(m_Pos[0].x, m_Pos[0].y, m_Pos[1].z);
	glVertex3f(m_Pos[1].x, m_Pos[0].y, m_Pos[1].z);
	glVertex3f(m_Pos[1].x, m_Pos[0].y, m_Pos[0].z);

	glVertex3f(m_Pos[0].x, m_Pos[1].y, m_Pos[0].z);
	glVertex3f(m_Pos[1].x, m_Pos[1].y, m_Pos[0].z);
	glVertex3f(m_Pos[1].x, m_Pos[1].y, m_Pos[1].z);
	glVertex3f(m_Pos[0].x, m_Pos[1].y, m_Pos[1].z);

	// x

	glVertex3f(m_Pos[0].x, m_Pos[0].y, m_Pos[0].z);
	glVertex3f(m_Pos[0].x, m_Pos[1].y, m_Pos[0].z);
	glVertex3f(m_Pos[0].x, m_Pos[1].y, m_Pos[1].z);
	glVertex3f(m_Pos[0].x, m_Pos[0].y, m_Pos[1].z);

	glVertex3f(m_Pos[1].x, m_Pos[0].y, m_Pos[0].z);
	glVertex3f(m_Pos[1].x, m_Pos[0].y, m_Pos[1].z);
	glVertex3f(m_Pos[1].x, m_Pos[1].y, m_Pos[1].z);
	glVertex3f(m_Pos[1].x, m_Pos[1].y, m_Pos[0].z);

	glEnd();
}

