#pragma once

#include "Filter.h"

class BoxFilter : public Filter
{
public:
	static Filter *Create() { return new BoxFilter(); }

	MyAlgebra::vec3 filter(MyAlgebra::vec3 *samples, MyAlgebra::vec2 *offsets, int N)
	{
		MyAlgebra::vec3 c(0.f, 0.f, 0.f);

		for (int i=0; i<N; i++)
		{
			c.add( samples[i] );
		}

		return c / (float)N;
	}
};
