#pragma once

#include "EnvironmentMap.h"
#include "EnvironmentMapSampler.h"
#include "EnvironmentLight.h"
#include "Scene.h"

class EnvironmentLightGenerator
{
public:

	void generate(int nSamples, const EnvironmentMap *envmap, std::vector<LightSource *> &lights);

	void eraseOldSamples(std::vector<LightSource *> &lights);

};


