#pragma once

#include "my_algebra.h"

class Material;

struct HitRecord
{
	MyAlgebra::Real t;	// ray parameter (used like o + t * d)
	MyAlgebra::vec3 normal;	// surface normal
	MyAlgebra::vec3 hit_pos;	// hit position p (= o + t + d)
	MyAlgebra::vec3 tex_coords;	// texture coordinate
	Material *material;
};

