#pragma once

#include "../TriangleMesh.h"

class MeshLoader
{
public:
	bool load(const char *filename, TriangleMesh &mesh, bool positionArrangementEnabled = true, bool sizeNormalizationEnabled = true);

private:

	bool loadObj(const char *filename, TriangleMesh &mesh);
	bool loadPly(const char *filename, TriangleMesh &mesh);

	void computeSmoothNormals(int nVerts, const MyAlgebra::vec3 *verts, MyAlgebra::vec3 *normals, int nTris, const unsigned int *tris) const;
};


