#pragma once

#include "Sampler.h"
#include "RNG.h"

class MultiJitterSampler : public Sampler
{
public:
	static Sampler *Create() { return new MultiJitterSampler(); }

	void sample(MyAlgebra::vec2 *samples, int N)
	{
		const int n = (int)sqrtf((float)N);

		// TODO: write sampler code to generate n x n samples
	}

	int adjustNumSamples(int N)
	{
		const int n = (int)sqrtf((float)N);
		return n*n; 
	}

private:
	RNG random;
};