#pragma once

#include "Sampler.h"

class Regular3x3Sampler : public Sampler
{
public:
	static Sampler *Create() { return new Regular3x3Sampler(); }

	void sample(MyAlgebra::vec2 *samples, int N)
	{
		samples[0].set(0.167f, 0.167f);
		samples[1].set(  0.5f, 0.167f);
		samples[2].set(0.833f, 0.167f);

		samples[3].set(0.167f, 0.5f);
		samples[4].set(  0.5f, 0.5f);
		samples[5].set(0.833f, 0.5f);

		samples[6].set(0.167f, 0.833f);
		samples[7].set(  0.5f, 0.833f);
		samples[8].set(0.833f, 0.833f);
	}

	int adjustNumSamples(int N) { return 9; }
};
