#include "TriangleMesh.h"
#include <cstdlib>
#include <GL/glut.h>

using namespace std;
using namespace MyAlgebra;

// public methods

bool TriangleMesh::hit(const Ray &r, Real tmin, Real tmax, HitRecord &record) const
{
	// TODO: rewrite this function, similarly to the first "for" loop in RecursiveRayTracer::traceRec()

	return false;
}

bool TriangleMesh::shadowHit(const Ray &r, Real tmin, Real tmax) const
{
	// TODO: rewrite this function, similarly to the hit function

	return false;
}

void TriangleMesh::drawGL() const	// for preview using OpenGL
{
	for (int i=0; i<(int)m_Triangles.size(); i++)
	{
		m_Triangles[i].drawGL();
	}
}

void TriangleMesh::computeBoundingBox()
{
	m_BoundingBoxPos[0].set(  100000.f );
	m_BoundingBoxPos[1].set( -100000.f );

	for (int i=0; i<(int)m_Triangles.size(); i++)
	{
		const vec3 v0 = m_Triangles[i].getVertex0();
		const vec3 v1 = m_Triangles[i].getVertex1();
		const vec3 v2 = m_Triangles[i].getVertex2();

		m_BoundingBoxPos[0].x = min(m_BoundingBoxPos[0].x, min(v0.x, min(v1.x, v2.x)));
		m_BoundingBoxPos[0].y = min(m_BoundingBoxPos[0].y, min(v0.y, min(v1.y, v2.y)));
		m_BoundingBoxPos[0].z = min(m_BoundingBoxPos[0].z, min(v0.z, min(v1.z, v2.z)));

		m_BoundingBoxPos[1].x = max(m_BoundingBoxPos[1].x, max(v0.x, max(v1.x, v2.x)));
		m_BoundingBoxPos[1].y = max(m_BoundingBoxPos[1].y, max(v0.y, max(v1.y, v2.y)));
		m_BoundingBoxPos[1].z = max(m_BoundingBoxPos[1].z, max(v0.z, max(v1.z, v2.z)));
	}	
}
