#pragma once

#include "OGLBaseWindow.h"
#include "Camera.h"

class WorldViewWindow : public OGLBaseWindow
{
public:
	static int s_ToggleWireframe;
	static int s_DrawObjects;
	static int s_DrawViewFrustum;
	static int s_DrawWorldAxes;

	void display();
	void reshape(int w, int h);
	void keyboard(unsigned char key, int x, int y);
	//void special(int key, int x, int y) {}
	void mouse(int button, int state, int x, int _y);
	void motion(int x, int _y);
	//void passive(int x, int _y) {}
	//void menu(int item) {}

private:
	Camera m_Camera;

	void displayViewFrustum() const;
};
